-- 基础信息
base_info = {
	group_id = 247003013
}

-- DEFS_MISCS
local GroupId = 247003013
local point_id_list = {}
local MainGroupID = 247003001
local RegionID = 13001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 13001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 240.094, y = 0.050, z = 160.053 } }
}

-- 触发器
triggers = {
	{ config_id = 1013001, name = "ENTER_REGION_13001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 13002, pos = { x = 240.044, y = 0.039, z = 173.430 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 13003, pos = { x = 237.048, y = 0.039, z = 172.728 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 13004, pos = { x = 243.271, y = 0.039, z = 172.844 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 13005, pos = { x = 233.136, y = 0.039, z = 171.520 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 13006, pos = { x = 247.209, y = 0.039, z = 171.073 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 13007, pos = { x = 230.689, y = 0.039, z = 169.021 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 13008, pos = { x = 250.444, y = 0.039, z = 169.038 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 13009, pos = { x = 229.877, y = 0.039, z = 166.486 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 13010, pos = { x = 250.557, y = 0.039, z = 166.137 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 13011, pos = { x = 229.827, y = 0.039, z = 163.392 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 13012, pos = { x = 240.113, y = 0.039, z = 172.117 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 13013, pos = { x = 235.217, y = 0.039, z = 170.152 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 13014, pos = { x = 245.167, y = 0.039, z = 170.325 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 13015, pos = { x = 231.817, y = 0.039, z = 167.054 }, rot = { x = 0.000, y = 120.000, z = 0.000 }, tag = 4 },
	{ config_id = 13016, pos = { x = 249.354, y = 0.039, z = 166.033 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 13017, pos = { x = 232.266, y = 0.039, z = 161.398 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 13018, pos = { x = 248.765, y = 0.039, z = 160.118 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 13019, pos = { x = 235.274, y = 0.039, z = 157.586 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 4 },
	{ config_id = 13020, pos = { x = 245.345, y = 0.039, z = 156.777 }, rot = { x = 0.000, y = 300.000, z = 0.000 }, tag = 4 },
	{ config_id = 13021, pos = { x = 240.105, y = 0.039, z = 154.722 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 13022, pos = { x = 230.098, y = 0.039, z = 172.459 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 13023, pos = { x = 250.165, y = 0.039, z = 172.459 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 13024, pos = { x = 230.098, y = 0.039, z = 153.434 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 13025, pos = { x = 250.165, y = 0.039, z = 153.434 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 13026, pos = { x = 231.832, y = 0.039, z = 172.459 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 13027, pos = { x = 251.898, y = 0.039, z = 172.459 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 13028, pos = { x = 231.832, y = 0.039, z = 153.434 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 13029, pos = { x = 251.898, y = 0.039, z = 153.434 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 13030, pos = { x = 227.416, y = 0.039, z = 172.459 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 13031, pos = { x = 247.482, y = 0.039, z = 172.459 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 13032, pos = { x = 227.416, y = 0.039, z = 153.434 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 13033, pos = { x = 247.482, y = 0.039, z = 153.434 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 13034, pos = { x = 238.918, y = 0.039, z = 166.469 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 13035, pos = { x = 241.150, y = 0.039, z = 166.469 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 13036, pos = { x = 237.005, y = 0.039, z = 166.469 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 13037, pos = { x = 243.196, y = 0.039, z = 166.469 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 13038, pos = { x = 235.133, y = 0.039, z = 166.469 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 13039, pos = { x = 245.034, y = 0.039, z = 166.469 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 13040, pos = { x = 236.888, y = 0.039, z = 164.098 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 13041, pos = { x = 242.934, y = 0.039, z = 164.098 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 13042, pos = { x = 241.150, y = 0.039, z = 164.098 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 13043, pos = { x = 238.918, y = 0.039, z = 164.098 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 13044, pos = { x = 239.950, y = 0.054, z = 167.382 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 13001 },
		triggers = { "ENTER_REGION_13001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
